#make sure all regex stuff works
#BrowserMatch Mozilla/2 nokeepalive

#Configuration directives specific to mod_perl
ServerRoot /u1/debian/apache/apache-1.2.1/mod_perl-1.00/t
User nobody
Group root
Port 8529
ServerName localhost
DocumentRoot /u1/debian/apache/apache-1.2.1/mod_perl-1.00/t/docs
AddType text/x-server-parsed-html .shtml

#mod_perl stuff

#-Tw
PerlTaintCheck On
PerlWarn On

PerlSetEnv KeyForPerlSetEnv OK
PerlSetVar KeyForPerlSetVar OK
 
PerlScript /u1/debian/apache/apache-1.2.1/mod_perl-1.00/t/docs/startup.pl

Alias /perl/ /u1/debian/apache/apache-1.2.1/mod_perl-1.00/t/net/perl/

<Location /perl>
SetHandler perl-script
PerlHandler Apache::Registry
Options ExecCGI
</Location>

Alias /cgi-bin/ /u1/debian/apache/apache-1.2.1/mod_perl-1.00/t/net/perl/

<Location /cgi-bin>
SetHandler cgi-script
Options ExecCGI
</Location>

<Location /perl/io>
SetHandler perl-script
PerlHandler Apache::Registry
Options ExecCGI
#PerlNewSendHeader will become PerlSendHeader if all goes well
PerlNewSendHeader On
PerlSetupEnv   On
</Location>

<Location /perl/perl-status>
SetHandler perl-script
PerlHandler Apache::Status
</Location>

#PerlChildInitHandler My::child_init

#end mod_perl stuff

ErrorLog /tmp/mod_perl_error_log
PidFile /tmp/mod_perl_httpd.pid
AccessConfig /dev/null
ResourceConfig /tmp/mod_perl_srm.conf
TypesConfig /dev/null
TransferLog /dev/null
ScoreBoardFile /dev/null

